#ifndef _USART_h_
#define _USART_h_


typedef enum { FALSE = 0, TRUE } BOOL;


void uart_init(void);		/* Initialize UART and Flush FIFOs */
uint8_t uart_get (void);	/* Get a byte from UART Rx FIFO */
uint8_t uart_test(void);	/* Check number of data in UART Rx FIFO */
void uart_put (uint8_t);	/* Put a byte into UART Tx FIFO */
void rprintfNum(char base, char numDigits, char isSigned, char padchar, long n);
void rprintfFloat(char numDigits, double x);


#endif
